<?php
//--------------------------------------------------------------//
// @include file（共通）
//--------------------------------------------------------------//
require_once(LIBRARIES . 'message.php');				// メッセージ制御クラス
require_once(LIBRARIES . 'common_base.php');			// 共通基底クラス
require_once(LIBRARIES . 'connector.php');				// DBコネクションクラス
require_once(LIBRARIES . 'db_access.php');				// DBアクセスクラス
require_once(LIBRARIES . 'html_builder.php');			// HTML生成クラス
require_once(LIBRARIES . 'common.php');					// 共通関数群
require_once(LIBRARIES . 'chiket.php');					// チケット操作クラス
require_once(LIBRARIES . 'checker.php');				// 共通データチェッククラス
require_once(LIBRARIES . 'model_class_ex.php');			// モデル基底クラス
require_once(LIBRARIES . 'system.php');					// システムクラス（全システム共通）
require_once(LIBRARIES . 'mail-signature.config.php');	// DKIMコンフィグクラス
require_once(LIBRARIES . 'mail-signature.class.php');	// DKIMクラス
require_once(LIBRARIES . 'mysql.class.php');			// DBアクセスクラス
//--------------------------------------------------------------//
// @include file（システム機能）
//--------------------------------------------------------------//
include_once(LIBRARIES . DIRECTORY_SEPARATOR.'core'. DIRECTORY_SEPARATOR .'cashflow.php');
include_once(LIBRARIES . DIRECTORY_SEPARATOR.'core'. DIRECTORY_SEPARATOR .'CUP_config.php');
include_once(LIBRARIES . DIRECTORY_SEPARATOR.'core'. DIRECTORY_SEPARATOR .'zanetapay.php');

//--------------------------------------------------------------//
// @include file（メンバ機能）
//--------------------------------------------------------------//

// external libraries loader
$ext = require_once LIBRARIES."/ext/ext.php";
if(count($ext) != 0){
    foreach($ext as $dependency)
        require_once LIBRARIES."/ext/{$dependency}";
}
?>